<?php

namespace loyalsoft;

/**
 * Description of Ins_Weapon
 *
 * @author gwang
 */
class Ins_Weapon extends Object_ext {

//put your code here
    public $typeId = 0;
    public $herouid = 0;
    
    /**
     * 星级 突破的时候会长星
     * @var type
     */
    public $starLevel = 0;
    
    /**
     * 等级
     * @var type
     */
    public $level=1;
    
    /**
     * 经验
     * @var type
     */
    public $exp=0;

    public function __construct($arg = null) {
        parent::__construct($arg);
    }

    /**
     * @return \sm_item_weapon item_weapon 武器的模板数据 
     */
    public function mo() {
        return GameConfig::item_weapon_getItem($this->typeId);
    }

}
